Subject: form.select: building option keys with viewhelper not possible
Description

The fluid parser doesn't support using viewhelpers as array keys, so 
the following would not get parsed

<f:form.select name="filter" id="filterbox" options="{ 
    {f:uri.action(action: 'index', arguments:{filter: 'health'})}:'{f:translate(key: \'dep.health\')}' 
}"> 
    <select> 
        <option value="">###dummy###</option> 
    </select> 
</f:form.select>

Feature-request:
Introducing an new argument optionsValuesArray to map the options array keys to other values.
Example:

<f:form.select name="filter" id="filterbox" options="{ 
    health: '{f:translate(key: \'dep.health\')}' 
}" optionsValuesArray ="{ 
    health: '{f:uri.action(action: \'index\', arguments: {filter: \'health\'})}'
}"> 
    <select> 
        <option value="">###dummy###</option> 
    </select> 
</f:form.select>

History
#1 - 2010-06-18 15:19 - Sebastian Kurfuerst
- Project changed from Extbase MVC Framework to TYPO3.Fluid

#2 - 2010-06-18 15:20 - Sebastian Kurfuerst
- Priority changed from Should have to Could have

#3 - 2010-06-18 15:27 - Marc Bastian Heinrichs
- File 7533_selectviewhelper.txt added

Don't I submitted a patch? Here it is.
#4 - 2010-06-18 15:31 - Marc Bastian Heinrichs
- File 7533_selectviewhelper_v2.txt added

Now with the correct path.

#5 - 2010-06-18 16:16 - Marc Bastian Heinrichs
- File 7533_selectviewhelper_v2.patch added

Lalala... now with correct file extension

#6 - 2010-07-12 12:11 - Bastian Waidelich
- Project changed from TYPO3.Fluid to Fluid - ViewHelper - Incubator

#7 - 2010-07-12 13:43 - Bastian Waidelich
- Subject changed from Fluid: building form.selectviewhelper options keys with viewhelper not possible (has patch) to form.select: building option keys 
with viewhelper not possible

#8 - 2010-12-01 17:06 - Marc Bastian Heinrichs

This has a bug with selecting the correct option as selected, because 
comparing for the selected value is done after replacing the keys with the values from optionsValuesArray.

#9 - 2011-07-25 19:58 - Bastian Waidelich
- Tracker changed from Feature to Suggestion
7533_selectviewhelper.txt 1.6 kB 2010-06-18 Marc Bastian Heinrichs
7533_selectviewhelper_v2.txt 1.6 kB 2010-06-18 Marc Bastian Heinrichs
7533_selectviewhelper_v2.patch 1.6 kB 2010-06-18 Marc Bastian Heinrichs
